<div class="mat-dialog-content-container">
    <h2 mat-dialog-title>{{lang.entityReplacement}}</h2>
    <mat-dialog-content>
        <div class="alert-message alert-message-info" role="alert">
            <mat-list>
                <mat-list-item *ngIf="data.entity.documents > 0">
                    <mat-icon color="primary" mat-list-icon class="fa fa-file fa-2x"></mat-icon>
                    <p mat-line>
                        <b>{{data.entity.entity_label}}</b> {{lang.isDestTo}}
                        <b>{{data.entity.documents}}</b> {{lang.documents}}</p>
                </mat-list-item>
                <mat-list-item *ngIf="data.entity.instances > 0">
                    <mat-icon color="primary" mat-list-icon class="fa fa-sitemap fa-2x"></mat-icon>
                    <p mat-line>
                        <b>{{data.entity.entity_label}}</b> {{lang.isCopyTo}}
                        <b>{{data.entity.instances}}</b> {{lang.documents}}</p>
                </mat-list-item>
                <mat-list-item *ngIf="data.entity.users.length > 0">
                    <mat-icon color="primary" mat-list-icon class="fa fa-user fa-2x"></mat-icon>
                    <p mat-line>
                        <b>{{data.entity.entity_label}}</b> {{lang.isLinkedTo | lowercase}}
                        <b>{{data.entity.users.length}}</b> {{lang.usersAlt | lowercase}}</p>
                </mat-list-item>
                <mat-list-item *ngIf="data.entity.templates.length > 0">
                    <mat-icon color="primary" mat-list-icon class="fa fa-file-alt fa-2x"></mat-icon>
                    <p mat-line>
                        <b>{{data.entity.entity_label}}</b> {{lang.isLinkedTo | lowercase}}
                        <b>{{data.entity.templates.length}}</b> {{lang.templates | lowercase}}</p>
                </mat-list-item>
            </mat-list>
        </div>
        <plugin-autocomplete [labelPlaceholder]="lang.chooseEntity" [labelList]="lang.availableEntities"
            [routeDatas]="['/rest/autocomplete/entities']" [targetSearchKey]="'idToDisplay'"
            [subInfoKey]="'descriptionToDisplay'" (triggerEvent)="setRedirectEntity($event)" singleMode required>
        </plugin-autocomplete>
    </mat-dialog-content>
    <span class="divider-modal"></span>
    <mat-dialog-actions>
        <button mat-raised-button color="warn" type="submit" class="btn btn-danger"
            (click)="dialogRef.close(data.entity)"
            [disabled]="data.entity.redirectEntity === undefined || data.entity.redirectEntity == data.entity.entity_id">{{lang.delete}}</button>
    </mat-dialog-actions>
</div>